Bug 459340 - kde 4.1 is no longer saving & restoring a complete session
kde 4.1 is no longer saving & restoring a complete session
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 18:01 EDT by Jason Farrell
Modified: 2008-09-25 23:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 17:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/home/kdetest/.kde/share/config/ksmserverrc (1.38 KB, text/plain)
2008-08-16 18:05 EDT, Jason Farrell
no flags Details
kde41-session-not-restored.ogg (2.12 MB, application/ogg)
2008-08-18 16:46 EDT, Jason Farrell
no flags Details

  None (edit)
Description Jason Farrell 2008-08-16 18:01:14 EDT
Description of problem:
After a recent update, KDE 4.1 is no longer session saving & restoring ALL open apps; instead it's only restoring *gtk* apps such as xchat, firefox, thunderbird, and gkrellm, or apps that insert themselves into the systray or otherwise autostart themselves (kalarm, yakuake, kmix, etc).

Version-Release number of selected component (if applicable):
kdelibs-4.1.0-5.fc9.x86_64

Steps to Reproduce:
1. Install Fedora 9
2. yum --en updates-testing groupupdate kde-desktop
3. login and start the following apps: "konsole, dolphin, gedit, xchat"
4. logout, and login again

Actual results:
Only gedit and xchat were restored with the session

Expected results:
all apps restored (except for some which never restored, like gvim)

Additional info:
If it makes any difference (with postinstall scripts), here's my update history:
# grep kdelibs-4 /var/log/yum*
May 16 11:28:50 Updated: 6:kdelibs-4.0.4-2.fc9.x86_64
May 18 01:42:35 Updated: 6:kdelibs-4.0.4-4.fc9.x86_64
May 31 05:25:51 Updated: 6:kdelibs-4.0.4-10.fc9.x86_64
Jun 07 00:05:18 Updated: 6:kdelibs-4.0.5-1.fc9.x86_64
Jun 11 07:39:42 Updated: 6:kdelibs-4.0.5-2.fc9.x86_64
Jun 29 07:57:52 Updated: 6:kdelibs-4.0.5-4.fc9.x86_64
Jul 03 08:24:27 Updated: 6:kdelibs-4.0.5-5.fc9.x86_64
Jul 26 15:54:17 Updated: 6:kdelibs-4.0.99-2.fc9.x86_64
Jul 30 17:09:47 Updated: 6:kdelibs-4.1.0-2.fc9.x86_64
Jul 31 23:01:36 Updated: 6:kdelibs-4.1.0-3.fc9.x86_64
Aug 08 01:19:41 Updated: 6:kdelibs-4.1.0-4.fc9.x86_64
Aug 12 14:50:51 Updated: 6:kdelibs-4.1.0-5.fc9.x86_64
Comment 1 Jason Farrell 2008-08-16 18:04:01 EDT
Inspecting ~/.kde/share/config/sessions/ after logging out, it would appear that the session is saved, just not restored:

-rw------- 1 kdetest kdetest  639 2008-08-16 17:21 dolphin_106e616e6f000121892168600000102740013_1218921713_725226
-rw------- 1 kdetest kdetest  185 2008-08-16 17:22 kmix_10d8cecf96000111065458100000063760027_1218921774_899415
-rw------- 1 kdetest kdetest  196 2008-08-16 17:21 konsole_106e616e6f000121892167200000102740011_1218921713_724221
-rw------- 1 kdetest kdetest 1342 2008-08-16 17:22 kwin_106e616e6f000121892165300000102740000_1218921774_902778
Comment 2 Jason Farrell 2008-08-16 18:05:53 EDT
Created attachment 314437 [details]
/home/kdetest/.kde/share/config/ksmserverrc

And here's where the other apps are saved for session restore
Comment 3 Kevin Kofler 2008-08-17 02:12:31 EDT
There's no kdelibs4 in F9, bugs must be reported against kdelibs.
Comment 4 Jason Farrell 2008-08-18 16:46:02 EDT
Created attachment 314495 [details]
kde41-session-not-restored.ogg

this is a 3minute ogg screencap demo of the wonky kde4.1 session restoration. fresh install of f9, followed by an update to kde4.1 in updates-testing (as of today), and a new 'kde2' user added.

the initial login takes a while, then i start a bunch of KDE & gnome apps, logout, then log back in, but only the gnome apps are restored.

fwiw - in *some* cases, some kde apps are also restored. it's not consistent.
Comment 5 Steven M. Parrish 2008-08-26 10:00:36 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 6 Steven M. Parrish 2008-09-25 17:07:05 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 7 Jason Farrell 2008-09-25 17:16:19 EDT
Was fixed upstream in 4.1.1

Note You need to log in before you can comment on or make changes to this bug.